def SupportVersion = '28.0.0'
def ButterKnifeVersion = '10.0.0'
def CrashActivityVersion = '2.2.0'
def StatusBarVersion = '2.3.3'
def GsonVersion = '2.8.5'
def PhotoPickerVersion = 'v2.6.1'
//def PhotoPickerVersion = 'v2.7.2'
def GlideVersion = '4.12.0'
def AgentWebVersion = 'v4.1.9-androidx'
def NiceDialogVersion = '1.1.9'
def AndPermissionVersion = '2.0.3'
def BannerVersion = '1.4.10'
def SmartRefreshLayoutVersion = '1.1.0-alpha-12'
def MultideXVersion = '2.0.1'
def RXJavaVersion = '3.0.12'
def RXAndroidVersion = '3.0.0'
def RetrofitVersion = '2.9.0'
def OkHttpVersion = '4.9.1'
def AutoSizeVersion = '1.1.2'
def FlycoTabLayoutVersion = '2.1.2@aar'
def ZxingVersion = '1.3.8'
def BaseRecyclerViewAdapterHelper = '3.0.6'
def MagicIndicator = '1.7.0'
def PickerView = '4.1.9'
def NiceSpinner = '1.4.4'
def Countdownview = '2.1.6'
def Xpopup = '2.2.23'
def CheckVersionLib = '2.4.1_androidx'
def GooglePlayVersion = '15.0.1'
def Streamsupport = '1.7.3'
def NewbieGuideVersion = 'v2.4.0'
def CountdownviewVersion = '2.1.6'
def JpushVersion = '3.1.8'
def JcoreVersion = '1.2.7'
def BuglyVersion = 'latest.release'
project.ext {
    android = [
            compileSdkVersion: 30,
            buildToolsVersion: "30.0.3",
            applicationId    : "com.dahe.pass",
            minSdkVersion    : 21,
            targetSdkVersion : 30,
            versionCode      : 5,
            versionName      : "1.0.5",
    ]
    dependencies = [
            "appcompat-v7"         : "com.android.support:appcompat-v7:${SupportVersion}",
            "support-v4"           : "com.android.support:support-v4:${SupportVersion}",
            "support-design"       : "com.android.support:design:${SupportVersion}",
            "recyclerview"         : "com.android.support:recyclerview-v7:${SupportVersion}",
            "butterknife"          : "com.jakewharton:butterknife:${ButterKnifeVersion}",
            "butterknife-compiler" : "com.jakewharton:butterknife-compiler:${ButterKnifeVersion}",
            "customactivityoncrash": "cat.ereza:customactivityoncrash:${CrashActivityVersion}",
            "gson"                 : "com.google.code.gson:gson:${GsonVersion}",
            "PhotoPicker"          : "com.github.LuckSiege.PictureSelector:picture_library:${PhotoPickerVersion}",
//            "PhotoPicker"          : "io.github.lucksiege:pictureselector:${PhotoPickerVersion}",
            "agentweb"             : "com.github.Justson.AgentWeb:agentweb-core:${AgentWebVersion}",
            "statusbaruitl"        : "com.github.niorgai:StatusBarCompat:${StatusBarVersion}",
            "glide"                : "com.github.bumptech.glide:glide:${GlideVersion}",
            "glide-compiler"       : "com.github.bumptech.glide:compiler:${GlideVersion}",
            "glide-okhttps"       : "com.github.bumptech.glide:okhttp3-integration:${GlideVersion}",
            "NiceDialog"           : "com.github.Othershe:NiceDialog:${NiceDialogVersion}",
            "Banner"               : "com.youth.banner:banner:${BannerVersion}",
            "RefreshLayout"        : "com.scwang.smartrefresh:SmartRefreshLayout:${SmartRefreshLayoutVersion}",
            "Multidex"             : "androidx.multidex:multidex:${MultideXVersion}",
            "rxjava"               : "io.reactivex.rxjava3:rxjava:${RXJavaVersion}",
            "rxandroid"            : "io.reactivex.rxjava3:rxandroid:${RXAndroidVersion}",
            "retrofit"             : "com.squareup.retrofit2:retrofit:${RetrofitVersion}",
            "converter-gson"       : "com.squareup.retrofit2:converter-gson:${RetrofitVersion}",
            "adapter-rxjava2"      : "com.squareup.retrofit2:adapter-rxjava3:${RetrofitVersion}",
            "okhttp"               : "com.squareup.okhttp3:okhttp:${OkHttpVersion}",
            "logging-interceptor"  : "com.squareup.okhttp3:logging-interceptor:${OkHttpVersion}",
            "AutoSize"             : "me.jessyan:autosize:${AutoSizeVersion}",
            "FlycoTabLayout"       : "com.flyco.tablayout:FlycoTabLayout_Lib:${FlycoTabLayoutVersion}",
            "AndPermission"        : "com.yanzhenjie:permission:${AndPermissionVersion}",
//            "Zxing"                : "cn.bingoogolapple:bga-qrcode-zxing:${ZxingVersion}",
            "Zxing"                : "com.github.bingoogolapple.BGAQRCode-Android:zxing:${ZxingVersion}",
            "BaseRecyclerViewAdapterHelper"   :"com.github.CymChad:BaseRecyclerViewAdapterHelper:${BaseRecyclerViewAdapterHelper}",
            "MagicIndicator"   :"com.github.hackware1993:MagicIndicator:${MagicIndicator}",
            "NiceSpinner"   :"com.github.arcadefire:nice-spinner:${NiceSpinner}",
            "Countdownview"   :"com.github.iwgang:countdownview:${Countdownview}",
            "Xpopup"   :"com.lxj:xpopup:${Xpopup}",
            "CheckVersionLib"   :"com.github.AlexLiuSheng:CheckVersionLib:${CheckVersionLib}",
            "Bugly"   :"com.tencent.bugly:crashreport:${BuglyVersion}",
            "Streamsupport"   :"net.sourceforge.streamsupport:streamsupport:${Streamsupport}",
            "PickerView"   :"com.contrarywind:Android-PickerView:${PickerView}"
    ]
}
